> This page is for version v8.3.0 (default).
> For other versions, use one of these documentation indexes:
> - v8.3.0 (default): https://docs.reasoner.com/v-8-3-0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.reasoner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.reasoner.com/_mcp/server.

# Get all minds

GET https://app.mindreasoner.com/api/public/v1/minds

Returns a list of all minds

Reference: https://docs.reasoner.com/mind-reasoner-api/api-reference/get-all-minds

## Authentication

- `Authorization` header (bearer token, required) — API key passed as Bearer token in Authorization header (e.g., "Authorization: Bearer YOUR_API_KEY")

## Response

### 200

Successful response

- `minds` (list of MindData, required)

## Types

### MindData

- `mind` (Mind, required)
- `digitalTwin` (DigitalTwin, required)
- `mindAssessments` (list of MindAssessment, required)
- `mindCategories` (list of MindCategory, required)

### Mind

- `id` (string, required)
- `name` (string, required)
- `slug` (string, required, nullable)
- `imageUrl` (string, required, nullable)
- `socialMedia` (map from string to any, required, nullable)
- `scope` (string, required)
- `isSelf` (boolean, required)
- `tokenCount` (double, required, nullable)
- `organizationId` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)

### DigitalTwin

- `id` (string, required)
- `name` (string, required)
- `mindId` (string, required)
- `isDefault` (boolean, required)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)

### MindAssessment

- `id` (string, required)
- `mindId` (string, required)
- `artifactId` (string, required, nullable)
- `mindsetDate` (string, required, nullable)
- `status` (string, required)
- `startedAt` (string, required, nullable)
- `completedAt` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)
- `tokenCount` (double, required, nullable)
- `byteSize` (double, required, nullable)
- `psychometricCount` (double, required, nullable)
- `keyTopicCount` (double, required, nullable)
- `findingCount` (double, required, nullable)

### MindCategory

- `id` (string, required)
- `name` (string, required)
- `organizationId` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)

## Examples

**Response**

```json
{
  "minds": [
    {
      "mind": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "John Doe",
        "slug": "john-doe",
        "imageUrl": "https://example.com/avatar.jpg",
        "socialMedia": {},
        "scope": "private",
        "isSelf": false,
        "tokenCount": 1500,
        "organizationId": "123e4567-e89b-12d3-a456-426614174001",
        "createdAt": "2025-01-01T00:00:00.000Z",
        "updatedAt": "2025-01-01T00:00:00.000Z"
      },
      "digitalTwin": {
        "id": "123e4567-e89b-12d3-a456-426614174002",
        "name": "Default Twin",
        "mindId": "123e4567-e89b-12d3-a456-426614174000",
        "isDefault": true,
        "createdAt": "2025-01-01T00:00:00.000Z",
        "updatedAt": "2025-01-01T00:00:00.000Z"
      },
      "mindAssessments": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174003",
          "mindId": "123e4567-e89b-12d3-a456-426614174000",
          "artifactId": "123e4567-e89b-12d3-a456-426614174004",
          "mindsetDate": "2025-01-01T00:00:00.000Z",
          "status": "completed",
          "startedAt": "2025-01-01T00:00:00.000Z",
          "completedAt": "2025-01-01T00:00:00.000Z",
          "createdAt": "2025-01-01T00:00:00.000Z",
          "updatedAt": "2025-01-01T00:00:00.000Z",
          "tokenCount": 1500,
          "byteSize": 10000,
          "psychometricCount": 10,
          "keyTopicCount": 5,
          "findingCount": 8
        }
      ],
      "mindCategories": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174005",
          "name": "internal team",
          "organizationId": "123e4567-e89b-12d3-a456-426614174001",
          "createdAt": "2025-01-01T00:00:00.000Z",
          "updatedAt": "2025-01-01T00:00:00.000Z"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.mindreasoner.com/api/public/v1/minds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.mindreasoner.com/api/public/v1/minds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.mindreasoner.com/api/public/v1/minds"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.mindreasoner.com/api/public/v1/minds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.mindreasoner.com/api/public/v1/minds")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.mindreasoner.com/api/public/v1/minds', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.mindreasoner.com/api/public/v1/minds");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.mindreasoner.com/api/public/v1/minds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```